1. Scheduled activities
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
        GET
      • Scheduled activities
        POST
      • Scheduled activities
        PATCH
      • Scheduled activities
        DELETE
      • Complete Scheduled Activity
        PATCH
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Scheduled activities

Scheduled activities

Developing
POST
/properties/{propertyID}/scheduledActivity

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties/5938/scheduledActivity' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "associatedWith": "job",
    "associatedWithID": 1905,
    "activityType": "call",
    "title": "test title 1740",
    "description": "test description test 1740",
    "tags": [
        {
            "tag": "1"
        }
    ],
    "assignedToo": [
        {
            "id": 48
        },
        {
            "id": 49
        }
    ],
    "dueDateTime": "2026-09-09T08:49:27.000Z"
}'
Response Response Example
200 - Example 1
{
    "id": "string",
    "createdByType": 0,
    "createdByID": 0,
    "createdByUser": "string",
    "createdOnDateTime": "2019-08-24T14:15:22.123Z",
    "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
    "associatedWith": "property",
    "associatedWithID": 0,
    "activityType": "call",
    "status": true,
    "title": "string",
    "description": "string",
    "tags": [
        {
            "tag": "string"
        }
    ],
    "assignedToo": [
        {
            "id": 0,
            "name": "string"
        }
    ],
    "dueDateTime": "2019-08-24T14:15:22.123Z",
    "property": {
        "id": 0,
        "fullName": "string",
        "addressLine": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "town": "string",
        "county": "string",
        "postcode": "string"
    },
    "opportunity": {
        "id": 0,
        "description": "string"
    },
    "job": {
        "id": 0,
        "description": "string"
    },
    "completed": {
        "completedOnDateTime": "2019-08-24T14:15:22.123Z",
        "completedByUserID": 0,
        "completedByUser": "string"
    }
}
Modified at 2026-07-01 12:51:59
Previous
List scheduled activities
Next
Scheduled activities
Built with